(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     15735,        432]
NotebookOptionsPosition[     14051,        400]
NotebookOutlinePosition[     14485,        417]
CellTagsIndexPosition[     14442,        414]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"quicksort", "[", 
   RowBox[{
    RowBox[{"begin_", ":", "1"}], ",", "end_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"piv", ",", "aux"}], "}"}], ",", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"begin", "<", "end"}], ",", " ", 
       RowBox[{
        RowBox[{"i", "=", "begin"}], ";", " ", 
        RowBox[{"j", "=", "end"}], ";", 
        RowBox[{"piv", "=", 
         RowBox[{"L", "[", 
          RowBox[{"[", 
           RowBox[{"Floor", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"begin", "+", "end"}], ")"}], "/", "2"}], "]"}], "]"}], 
          "]"}]}], ";", 
        RowBox[{"While", "[", 
         RowBox[{
          RowBox[{"i", "\[LessEqual]", "j"}], ",", " ", 
          RowBox[{
           RowBox[{"While", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"L", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "<", "piv"}], ",", " ", 
             RowBox[{"i", "++"}]}], "]"}], ";", " ", 
           RowBox[{"While", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"L", "[", 
               RowBox[{"[", "j", "]"}], "]"}], ">", "piv"}], ",", 
             RowBox[{"j", "--"}]}], "]"}], ";", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"i", "\[LessEqual]", "j"}], ",", " ", 
             RowBox[{
              RowBox[{"aux", "=", 
               RowBox[{"L", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], ";", " ", 
              RowBox[{
               RowBox[{"L", "[", 
                RowBox[{"[", "i", "]"}], "]"}], "=", 
               RowBox[{"L", "[", 
                RowBox[{"[", "j", "]"}], "]"}]}], ";", " ", 
              RowBox[{
               RowBox[{"L", "[", 
                RowBox[{"[", "j", "]"}], "]"}], "=", "aux"}], ";", " ", 
              RowBox[{"i", "++"}], ";", " ", 
              RowBox[{"j", "--"}]}]}], "]"}]}]}], "]"}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"ReplacePart", "[", 
          RowBox[{"L", ",", 
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"L", "[", 
              RowBox[{"[", 
               RowBox[{"Floor", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"begin", "+", "end"}], ")"}], "/", "2"}], "]"}], 
               "]"}], "]"}], ",", "Blue"}], "]"}], ",", 
           RowBox[{"Floor", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"begin", "+", "end"}], ")"}], "/", "2"}], "]"}]}], 
          "]"}], "]"}], ";", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"begin", "<", "j"}], ",", 
          RowBox[{"quicksort", "[", 
           RowBox[{"begin", ",", "j"}], "]"}]}], "]"}], ";", " ", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"i", "<", "end"}], ",", 
          RowBox[{"quicksort", "[", 
           RowBox[{"i", ",", " ", "end"}], "]"}]}], "]"}]}]}], "]"}], ";", 
     "L"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8054734737244053`*^9, 3.8054735110231752`*^9}, {
   3.8054735805680723`*^9, 3.805473606481574*^9}, {3.805473646612162*^9, 
   3.805473694757557*^9}, 3.805473771509617*^9, {3.805475243604766*^9, 
   3.8054753243722944`*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"8a509e74-89b5-46d7-a28a-4150d64200ee"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "9"}], ",", "5", ",", 
     RowBox[{"-", "7"}], ",", "0", ",", "10", ",", "21.3", ",", 
     RowBox[{"-", "28.7"}], ",", "100", ",", 
     RowBox[{"-", "100"}], ",", "14"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"quicksort", "[", 
  RowBox[{"Length", "[", "L", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8054733975028653`*^9, 3.80547345778061*^9}, {
   3.805473559398141*^9, 3.805473574746146*^9}, {3.805473615252617*^9, 
   3.8054736158997407`*^9}, {3.8054736796986003`*^9, 3.80547368252283*^9}, 
   3.805473720260029*^9, {3.805473777107374*^9, 3.805473779986494*^9}, {
   3.805475225233859*^9, 3.8054752265670495`*^9}, 3.8056566830660505`*^9},
 CellLabel->"In[19]:=",ExpressionUUID->"d6e7414c-c189-4899-a9e3-4ead9a8cc1aa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "9"}], ",", "5", ",", 
   RowBox[{"-", "7"}], ",", "0", ",", 
   StyleBox[
    RowBox[{"-", "100"}],
    StripOnInput->False,
    LineColor->RGBColor[0, 0, 1],
    FrontFaceColor->RGBColor[0, 0, 1],
    BackFaceColor->RGBColor[0, 0, 1],
    GraphicsColor->RGBColor[0, 0, 1],
    FontColor->RGBColor[0, 0, 1]], ",", 
   RowBox[{"-", "28.7`"}], ",", "21.3`", ",", "100", ",", "10", ",", "14"}], 
  "}"}]], "Print",
 CellChangeTimes->{
  3.805473780773367*^9, 3.8054752275017843`*^9, 3.805475264099513*^9, {
   3.8054753047562647`*^9, 3.80547534316122*^9}, 3.805475433282941*^9, 
   3.8056566838326426`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[19]:=",ExpressionUUID->"684210ba-72a0-430b-9d2a-db4bde44b3e8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "9"}], ",", 
   RowBox[{"-", "28.7`"}], ",", 
   StyleBox[
    RowBox[{"-", "100"}],
    StripOnInput->False,
    LineColor->RGBColor[0, 0, 1],
    FrontFaceColor->RGBColor[0, 0, 1],
    BackFaceColor->RGBColor[0, 0, 1],
    GraphicsColor->RGBColor[0, 0, 1],
    FontColor->RGBColor[0, 0, 1]], ",", "0", ",", 
   RowBox[{"-", "7"}], ",", "5", ",", "21.3`", ",", "100", ",", "10", ",", 
   "14"}], "}"}]], "Print",
 CellChangeTimes->{
  3.805473780773367*^9, 3.8054752275017843`*^9, 3.805475264099513*^9, {
   3.8054753047562647`*^9, 3.80547534316122*^9}, 3.805475433282941*^9, 
   3.805656683835637*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[19]:=",ExpressionUUID->"3732f8d7-0b81-4a53-ae1c-e79e3b2c9578"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "100"}], ",", 
   StyleBox[
    RowBox[{"-", "28.7`"}],
    StripOnInput->False,
    LineColor->RGBColor[0, 0, 1],
    FrontFaceColor->RGBColor[0, 0, 1],
    BackFaceColor->RGBColor[0, 0, 1],
    GraphicsColor->RGBColor[0, 0, 1],
    FontColor->RGBColor[0, 0, 1]], ",", 
   RowBox[{"-", "9"}], ",", "0", ",", 
   RowBox[{"-", "7"}], ",", "5", ",", "21.3`", ",", "100", ",", "10", ",", 
   "14"}], "}"}]], "Print",
 CellChangeTimes->{
  3.805473780773367*^9, 3.8054752275017843`*^9, 3.805475264099513*^9, {
   3.8054753047562647`*^9, 3.80547534316122*^9}, 3.805475433282941*^9, 
   3.805656683837628*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[19]:=",ExpressionUUID->"1679af8e-e20f-4c9e-8a93-4ba1fb565924"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "100"}], ",", 
   RowBox[{"-", "28.7`"}], ",", 
   RowBox[{"-", "9"}], ",", 
   StyleBox[
    RowBox[{"-", "7"}],
    StripOnInput->False,
    LineColor->RGBColor[0, 0, 1],
    FrontFaceColor->RGBColor[0, 0, 1],
    BackFaceColor->RGBColor[0, 0, 1],
    GraphicsColor->RGBColor[0, 0, 1],
    FontColor->RGBColor[0, 0, 1]], ",", "0", ",", "5", ",", "21.3`", ",", 
   "100", ",", "10", ",", "14"}], "}"}]], "Print",
 CellChangeTimes->{
  3.805473780773367*^9, 3.8054752275017843`*^9, 3.805475264099513*^9, {
   3.8054753047562647`*^9, 3.80547534316122*^9}, 3.805475433282941*^9, 
   3.8056566838386264`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[19]:=",ExpressionUUID->"ffaa28d0-42ce-490f-9f9c-aae99d7ae3fb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "100"}], ",", 
   RowBox[{"-", "28.7`"}], ",", 
   StyleBox[
    RowBox[{"-", "9"}],
    StripOnInput->False,
    LineColor->RGBColor[0, 0, 1],
    FrontFaceColor->RGBColor[0, 0, 1],
    BackFaceColor->RGBColor[0, 0, 1],
    GraphicsColor->RGBColor[0, 0, 1],
    FontColor->RGBColor[0, 0, 1]], ",", 
   RowBox[{"-", "7"}], ",", "0", ",", "5", ",", "21.3`", ",", "100", ",", 
   "10", ",", "14"}], "}"}]], "Print",
 CellChangeTimes->{
  3.805473780773367*^9, 3.8054752275017843`*^9, 3.805475264099513*^9, {
   3.8054753047562647`*^9, 3.80547534316122*^9}, 3.805475433282941*^9, 
   3.8056566838406515`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[19]:=",ExpressionUUID->"79e07501-9baf-4439-9ec2-ddec6c0a4df0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "100"}], ",", 
   RowBox[{"-", "28.7`"}], ",", 
   RowBox[{"-", "9"}], ",", 
   RowBox[{"-", "7"}], ",", 
   StyleBox["0",
    StripOnInput->False,
    LineColor->RGBColor[0, 0, 1],
    FrontFaceColor->RGBColor[0, 0, 1],
    BackFaceColor->RGBColor[0, 0, 1],
    GraphicsColor->RGBColor[0, 0, 1],
    FontColor->RGBColor[0, 0, 1]], ",", "5", ",", "21.3`", ",", "100", ",", 
   "10", ",", "14"}], "}"}]], "Print",
 CellChangeTimes->{
  3.805473780773367*^9, 3.8054752275017843`*^9, 3.805475264099513*^9, {
   3.8054753047562647`*^9, 3.80547534316122*^9}, 3.805475433282941*^9, 
   3.8056566838427353`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[19]:=",ExpressionUUID->"a1eb6ca6-bf6e-4c4c-b6cf-85b280181278"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "100"}], ",", 
   RowBox[{"-", "28.7`"}], ",", 
   RowBox[{"-", "9"}], ",", 
   RowBox[{"-", "7"}], ",", "0", ",", "5", ",", "21.3`", ",", 
   StyleBox["14",
    StripOnInput->False,
    LineColor->RGBColor[0, 0, 1],
    FrontFaceColor->RGBColor[0, 0, 1],
    BackFaceColor->RGBColor[0, 0, 1],
    GraphicsColor->RGBColor[0, 0, 1],
    FontColor->RGBColor[0, 0, 1]], ",", "10", ",", "100"}], "}"}]], "Print",
 CellChangeTimes->{
  3.805473780773367*^9, 3.8054752275017843`*^9, 3.805475264099513*^9, {
   3.8054753047562647`*^9, 3.80547534316122*^9}, 3.805475433282941*^9, 
   3.8056566838446116`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[19]:=",ExpressionUUID->"bc063bbc-fd29-455b-ba59-7d8da1f7d079"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "100"}], ",", 
   RowBox[{"-", "28.7`"}], ",", 
   RowBox[{"-", "9"}], ",", 
   RowBox[{"-", "7"}], ",", "0", ",", "5", ",", 
   StyleBox["10",
    StripOnInput->False,
    LineColor->RGBColor[0, 0, 1],
    FrontFaceColor->RGBColor[0, 0, 1],
    BackFaceColor->RGBColor[0, 0, 1],
    GraphicsColor->RGBColor[0, 0, 1],
    FontColor->RGBColor[0, 0, 1]], ",", "14", ",", "21.3`", ",", "100"}], 
  "}"}]], "Print",
 CellChangeTimes->{
  3.805473780773367*^9, 3.8054752275017843`*^9, 3.805475264099513*^9, {
   3.8054753047562647`*^9, 3.80547534316122*^9}, 3.805475433282941*^9, 
   3.805656683845607*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[19]:=",ExpressionUUID->"b38511fa-cd3e-49a1-94dd-c5fdfae282bb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "100"}], ",", 
   RowBox[{"-", "28.7`"}], ",", 
   RowBox[{"-", "9"}], ",", 
   RowBox[{"-", "7"}], ",", "0", ",", "5", ",", 
   StyleBox["10",
    StripOnInput->False,
    LineColor->RGBColor[0, 0, 1],
    FrontFaceColor->RGBColor[0, 0, 1],
    BackFaceColor->RGBColor[0, 0, 1],
    GraphicsColor->RGBColor[0, 0, 1],
    FontColor->RGBColor[0, 0, 1]], ",", "14", ",", "21.3`", ",", "100"}], 
  "}"}]], "Print",
 CellChangeTimes->{
  3.805473780773367*^9, 3.8054752275017843`*^9, 3.805475264099513*^9, {
   3.8054753047562647`*^9, 3.80547534316122*^9}, 3.805475433282941*^9, 
   3.805656683847601*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[19]:=",ExpressionUUID->"601ca2cd-8087-4409-bfcd-3747225f8e98"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "100"}], ",", 
   RowBox[{"-", "28.7`"}], ",", 
   RowBox[{"-", "9"}], ",", 
   RowBox[{"-", "7"}], ",", "0", ",", "5", ",", "10", ",", 
   StyleBox["14",
    StripOnInput->False,
    LineColor->RGBColor[0, 0, 1],
    FrontFaceColor->RGBColor[0, 0, 1],
    BackFaceColor->RGBColor[0, 0, 1],
    GraphicsColor->RGBColor[0, 0, 1],
    FontColor->RGBColor[0, 0, 1]], ",", "21.3`", ",", "100"}], "}"}]], "Print",
 CellChangeTimes->{
  3.805473780773367*^9, 3.8054752275017843`*^9, 3.805475264099513*^9, {
   3.8054753047562647`*^9, 3.80547534316122*^9}, 3.805475433282941*^9, 
   3.8056566838495965`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[19]:=",ExpressionUUID->"ccb76de4-a1e7-4af1-bf59-11b453a56379"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "100"}], ",", 
   RowBox[{"-", "28.7`"}], ",", 
   RowBox[{"-", "9"}], ",", 
   RowBox[{"-", "7"}], ",", "0", ",", "5", ",", "10", ",", "14", ",", 
   StyleBox["21.3`",
    StripOnInput->False,
    LineColor->RGBColor[0, 0, 1],
    FrontFaceColor->RGBColor[0, 0, 1],
    BackFaceColor->RGBColor[0, 0, 1],
    GraphicsColor->RGBColor[0, 0, 1],
    FontColor->RGBColor[0, 0, 1]], ",", "100"}], "}"}]], "Print",
 CellChangeTimes->{
  3.805473780773367*^9, 3.8054752275017843`*^9, 3.805475264099513*^9, {
   3.8054753047562647`*^9, 3.80547534316122*^9}, 3.805475433282941*^9, 
   3.805656683850594*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[19]:=",ExpressionUUID->"03d9f7ce-2a91-4d67-8f3f-19d439aa709c"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "100"}], ",", 
   RowBox[{"-", "28.7`"}], ",", 
   RowBox[{"-", "9"}], ",", 
   RowBox[{"-", "7"}], ",", "0", ",", "5", ",", "10", ",", "14", ",", "21.3`",
    ",", "100"}], "}"}]], "Output",
 CellChangeTimes->{
  3.805473616379083*^9, {3.805473677617484*^9, 3.8054736832621336`*^9}, 
   3.8054737210909185`*^9, {3.8054737572653275`*^9, 3.805473780789344*^9}, 
   3.805475227514531*^9, 3.805475264119003*^9, {3.8054753047802334`*^9, 
   3.805475343190388*^9}, 3.805475433306873*^9, 3.8056566838515916`*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"6784c96e-4bc9-4421-b47a-cc90c26a4a0c"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"0d0ba548-1f6c-4dd8-80e2-cc49f9f3159d"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 3381, 89, 1065, "Input",ExpressionUUID->"8a509e74-89b5-46d7-a28a-4150d64200ee"],
Cell[CellGroupData[{
Cell[3964, 113, 833, 16, 212, "Input",ExpressionUUID->"d6e7414c-c189-4899-a9e3-4ead9a8cc1aa"],
Cell[CellGroupData[{
Cell[4822, 133, 777, 21, 50, "Print",ExpressionUUID->"684210ba-72a0-430b-9d2a-db4bde44b3e8"],
Cell[5602, 156, 776, 21, 50, "Print",ExpressionUUID->"3732f8d7-0b81-4a53-ae1c-e79e3b2c9578"],
Cell[6381, 179, 776, 21, 50, "Print",ExpressionUUID->"1679af8e-e20f-4c9e-8a93-4ba1fb565924"],
Cell[7160, 202, 778, 21, 50, "Print",ExpressionUUID->"ffaa28d0-42ce-490f-9f9c-aae99d7ae3fb"],
Cell[7941, 225, 778, 21, 50, "Print",ExpressionUUID->"79e07501-9baf-4439-9ec2-ddec6c0a4df0"],
Cell[8722, 248, 777, 21, 50, "Print",ExpressionUUID->"a1eb6ca6-bf6e-4c4c-b6cf-85b280181278"],
Cell[9502, 271, 773, 20, 50, "Print",ExpressionUUID->"bc063bbc-fd29-455b-ba59-7d8da1f7d079"],
Cell[10278, 293, 774, 21, 50, "Print",ExpressionUUID->"b38511fa-cd3e-49a1-94dd-c5fdfae282bb"],
Cell[11055, 316, 774, 21, 50, "Print",ExpressionUUID->"601ca2cd-8087-4409-bfcd-3747225f8e98"],
Cell[11832, 339, 773, 20, 50, "Print",ExpressionUUID->"ccb76de4-a1e7-4af1-bf59-11b453a56379"],
Cell[12608, 361, 771, 20, 50, "Print",ExpressionUUID->"03d9f7ce-2a91-4d67-8f3f-19d439aa709c"]
}, Open  ]],
Cell[13394, 384, 641, 13, 107, "Output",ExpressionUUID->"6784c96e-4bc9-4421-b47a-cc90c26a4a0c"]
}, Open  ]]
}
]
*)

